SCRIPT(1)

NAME
script - make typescript of terminal session

SYNOPSIS
script [ -a ] [ file ]

DESCRIPTION
Script makes a typescript of everything printed on your terminal. The typescript is written to file, or appended to file if the -a option is given. It can be sent to the line printer later with lpr. If no file name is given, the typescript is saved in the file typescript.

The script ends when the forked shell exits.

This program is useful when using a crt and a hard-copy record of the dialog is desired, as for a student handing in a program that was developed on a crt when hard-copy terminals are in short supply.

BUGS
Script places everything in the log file. This is not what the naive user expects.